# $Revision: 1.41 $, $Date: 2010/06/06 08:38:41 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Locale
%define		pnam	Msgcat
Summary:	Locale::Msgcat - access the XPG4 message catalog functions
Summary(pl.UTF-8):	Locale::Msgcat - dostęp do funkcji katalogów komunikatów XPG4
Name:		perl-Locale-Msgcat
Version:	1.03
Release:	10
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Locale/%{pnam}-%{version}.tar.gz
# Source0-md5:	8dbfee7b81e94cf946c9f28ab0bc5291
URL:		http://search.cpan.org/dist/Locale-Msgcat/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Locale::Msgcat module allows access to the XPG4 message catalog
functions (catopen(3), catgets(3) and catclose(3)), which are
available on some systems.

%description -l pl.UTF-8
Moduł Locale::Msgcat oferuje dostęp do katalogu komunikatów XPG4
poprzez funkcje catopen(3), catgets(3) and catclose(3), dostępne na
niektórych systemach.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorarch}/Locale/*.pm
%dir %{perl_vendorarch}/auto/Locale/Msgcat
%{perl_vendorarch}/auto/Locale/Msgcat/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Locale/Msgcat/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Locale-Msgcat.spec,v $
Revision 1.41  2010/06/06 08:38:41  arekm
- release 10

Revision 1.40  2008/03/24 14:45:02  qboosh
- generic URL

Revision 1.39  2008-02-10 12:14:01  arekm
- rel 9

Revision 1.38  2008-01-10 08:38:39  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.37  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.36  2007/02/12 00:49:38  baggins
- converted to UTF-8

Revision 1.35  2004/11/03 22:30:30  paladine
- formatting

Revision 1.34  2004/05/07 01:24:54  ankry
- rel. 8

Revision 1.33  2004/05/06 18:20:30  ankry
- fixed perl-devel BR

Revision 1.32  2004/04/25 07:52:07  ankry
- tests added

Revision 1.31  2004/04/22 18:21:30  ankry
- license fixes & unification

Revision 1.30  2003/08/18 08:08:56  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.29  2003/05/28 13:00:46  malekith
- massive attack: source-md5

Revision 1.28  2003/05/25 06:24:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.27  2003/05/11 15:56:20  ankry
- probably typo

Revision 1.26  2003/05/11 13:08:23  qboosh
- finished pl summary

Revision 1.25  2003/05/10 22:36:09  radek
- removed R: perl, provided informative summary

Revision 1.24  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.23  2003/03/01 19:37:45  radek
- should be ready for perl-5.8.0; release++

Revision 1.22  2003/02/25 00:40:15  radek
- use the __perl macro

Revision 1.21  2003/02/18 15:35:42  ankry
- massive attack: change CPAN URLs

Revision 1.20  2002/12/03 21:34:55  ankry
- cleaning

Revision 1.19  2002/07/27 20:37:41  kloczek
- release 6.

Revision 1.18  2002/07/25 17:06:13  radek
- fixed license information, provided informative description

Revision 1.17  2002/07/25 10:36:55  radek
- standarized
- moved %clean after %install, as in other perl specs

Revision 1.16  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.15  2002/03/03 22:14:29  marcus
- rel.5

Revision 1.14  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/02/12 10:16:24  kloczek
- release 4.

Revision 1.12  2002/02/10 15:40:15  depesz
adapterized

Revision 1.11  2002/02/09 13:40:21  depesz
wrong path

Revision 1.10  2002/02/09 12:59:37  depesz
- unfied source path

Revision 1.9  2002/01/18 02:14:21  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/12/07 15:08:55  qboosh
- pl translations, release 3

Revision 1.7  2001/04/30 16:05:27  kloczek
- added using %%{rpmcflags} macro.

Revision 1.6  2001/04/17 12:11:48  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.5  2001/01/25 20:03:45  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.4  2001/01/19 01:01:33  kloczek
- rewrited %install ad small fix in %files.

Revision 1.3  2001/01/19 00:27:54  kloczek
- fixed Source url.

Revision 1.2  2001/01/19 00:03:23  kloczek
- spec adapterized,
- added full Source url,
- make spec %%{debug} ready.

Revision 1.1  2001/01/18 08:37:24  yaro
- almost raw version from RH

* Thu Feb 17 2000 Tim Powers <timp@redhat.com>
- Spec file was autogenerated.
